Bug 3408 - Segfault при выборке результата, содержащего поле, типизованное с использованием домена
: Segfault при выборке результата, содержащего поле, типизованное с использован...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/perl-DBD-Pg)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-12-26 12:11 by
Modified: 2008-06-13 12:15 (History)


Attachments
Quick'n'Dirty исправление (439 bytes, patch)
2003-12-26 12:18, Sir Raorn
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-12-26 12:11:51
Есть мнение, что выпадать будет в любом случае, если тип одного из полей
нестандартный (не проверялось).
------- Comment #1 From 2003-12-26 12:18:45 -------
Created an attachment (id=323) [details]
Quick'n'Dirty исправление

Ошибочная ситуация была найдена нашим разработчиком Иваном Евдокимовым.  Я в
этом ни разу не разбираюсь, если нужен testcase - mailto evdokimov at immo dot
ru.
------- Comment #2 From 2004-02-07 05:07:41 -------
Hi, this patch was applied (with extra parens removed) in perl-DBD-Pg-1.31-alt3.

Of course it would be nice to have a testcase.  Unfortunately I'm not a
PostgreSQL user, and I started build this package because it was rather
unmaintained.  Can't you ask Ivan to contact DBD-Pg maintainers with his
testcase?  DBD::Pg says:

 The current maintainers may be reached through the 'dbdpg-general' mailing list:
http://gborg.postgresql.org/mailman/listinfo/dbdpg-general

 This list is available through Gmane (http://www.gmane.org) as a newsgroup with
the name: "gmane.comp.db.postgresql.dbdpg"

I resolve the bug so far.
------- Comment #3 From 2004-02-26 02:48:41 -------
This seems to be fixed upstream (DBD-Pg-1.32, released a few hours ago, a lot of
bugfixes).